Subject: Guile loads "init.scm" from the current directory

From: Alex Kost <[email-masked]>
Date: Mon, 11 Jul 2016 10:44:36 +0300

Hello.  If you start guile from a directory that contains "init.scm"
file, it will be loaded.  Try this recipe (GUILE_..._PATH are unset for
a pure experiment):

cd /tmp
echo foo > init.scm
GUILE_LOAD_COMPILED_PATH= GUILE_LOAD_PATH= guile -q

And it fails with this error:

  guile: uncaught throw to unbound-variable: (#f Unbound variable: ~S (foo) #f)
  Cannot exit gracefully when init is in progress; aborting.
  Aborted (core dumped)

I'm not sure I understand it right from the commentary in "init.c"[1],
but I think this behavior is not intended, or is it?

[1] http://git.savannah.gnu.org/cgit/guile.git/tree/libguile/init.c#n238

-- 
Alex